Class | Chef::ResourceReporter::ResourceReport
In: | lib/chef/resource_reporter.rb
Parent: | Struct.new(:new_resource, :current_resource, :action, :exception, :elapsed_time)

### Methods

finish for_json new_for_exception new_with_current_state success?

### Public Class methods

new_for_exception(new_resource, action)
new_with_current_state(new_resource, action, current_resource)

### Public Instance methods

finish()
for_json()
success?()

[Validate]